---
updatedAt: 2025-10-30T22:22:57.000Z
agentTools:
  projectIndex: https://docs.rejoiner.com/llms.txt
---

# Retrieve List Contacts

This paginated endpoint will return a listing of the contacts that have been added to a given list. This endpoint returns 100 contacts per page. 

```
GET /lists/LIST_ID/contacts/?page=PAGE_NUMBER
```

```json Example Response
{
  "count": 1234,
  "next": "https://rj2.rejoiner.com/api/v2/SITE_ID/lists/LIST_ID/contacts/?page=2",
  "previous": null,
  "results": [
    {
      "customer": {
        "id": "CUSTOMER_ID",
        "email": "test@example.com",
        "first_name": "Test"
      },
      "custom_fields": {}
    },
    {
      "customer": {
        "id": "CUSTOMER_ID",
        "email": "another@example.com",
        "first_name": "Another"
      },
      "custom_fields": {}
    },
    ...
  ]
}
```